package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.AuditModuleDAO;
import com.rjconsultores.ventaboletos.entidad.AuditModule;

@Repository("auditModuleDAO")
public class AuditModuleHibernateDAO extends GenericHibernateDAO<AuditModule, Long> 
	implements AuditModuleDAO {

	 @Autowired
	 public AuditModuleHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		 setSessionFactory(factory);
	 }

	@Override
	public List<AuditModule> obtenerTodos() {
		 Criteria c = getSession().createCriteria(getPersistentClass());
	     return c.list();
	}
}